$ErrorActionPreference = 'Stop';

$packageName = 'CloudBerryExplorer.GoogleStorage'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v3.4.0.1Google_netv4.0.exe'
$url64      = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v3.4.0.1Google_netv4.0.exe'

$installerPackage = Join-Path $toolsDir "CloudBerryExplorer.GoogleStorage.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = 'c477113f1a419d2578059a66503bfc461fa98d59a645388cf1af535150b2063e'
  checksumType  = 'sha256'
  checksum64    = 'c477113f1a419d2578059a66503bfc461fa98d59a645388cf1af535150b2063e'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs

$installerAuto = Join-Path $toolsDir 'CloudBerryExplorer.GoogleStorage.au3';
$installArgs = "/c autoit3 `"$installerAuto`" `"$installerPackage`""
Write-Host "Installing `'$installerPackage`' with AutoIt3 using `'$installerAuto`'"
Start-ChocolateyProcessAsAdmin "$installArgs" "cmd.exe"
